# build with Qt
%bcond_without		qt

# comment out if not prerelease
#define	 prel		beta1

# release for bumping
%define rel		1

%define major		5
%define libname		%mklibname audcore %{major}

%define majortag	3
%define libtag		%mklibname audtag %{majortag}

%if %{with qt}
%define majorqt		2
%define libqt		%mklibname audqt %{majorqt}
%endif

%define devname		%mklibname %{name} -d

Summary:	A versatile and handy media player
Name:		audacious
Epoch:		6
Version:	4.2
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	BSD
Group:		Sound/Players
Url:		https://audacious-media-player.org/
Source0:	https://distfiles.audacious-media-player.org/%{name}-%{version}%{?prel:-%prel}.tar.bz2
Patch0:		audacious-4.2-fix-desktop-file.patch
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libguess)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	desktop-file-utils
%if %{with qt}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
%endif
Recommends:	audacious-pulse
Requires:	audacious-plugins
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Core engine library for %{name}

%description -n	%{libname}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the library needed by %{name}.

%package -n	%{libtag}
Group:		System/Libraries
Summary:	Core engine library for %{name}

%description -n	%{libtag}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the library needed by %{name}.

%if %{with qt}
%package -n	%{libqt}
Group:		System/Libraries
Summary:	Core engine Qt5 library for %{name}

%description -n	%{libqt}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the library needed by %{name}.
%endif

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Requires:	%{libtag} = %{epoch}:%{version}-%{release}
%if %{with qt}
Requires:	%{libqt} = %{epoch}:%{version}-%{release}
%endif
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}

%description -n	%{devname}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This package contains the files needed for developing applications
which use %{name}.

%prep
%setup -q -n %{name}-%{version}%{?prel:-%prel}
%autopatch -p1

%build
%configure \
	%{?with_qt:--enable-qt} \
	%{!?with_qt:--disable-qt} \
	--enable-gtk \
	--enable-libarchive \
	--disable-rpath \
	--with-buildstamp="%{_vendor} %{distro_release} package"

%make_build

%install
%make_install

desktop-file-install \
	--vendor="" \
	--remove-category="Application" \
	--add-category="Audio" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

%find_lang %{name}

#clean some files/dirs
rm -rf %{buildroot}%{_datadir}/%{name}/applications/
rm -rf %{buildroot}%{_includedir}/mp4.h

%files -f %{name}.lang
%doc AUTHORS COPYING
%{_bindir}/audtool
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libaudcore.so.%{major}{,.*}
%{_libdir}/libaudgui.so.%{major}{,.*}

%files -n %{libtag}
%{_libdir}/libaudtag.so.%{majortag}{,.*}

%if %{with qt}
%files -n %{libqt}
%{_libdir}/libaudqt.so.%{majorqt}{,.*}
%endif

%files -n %{devname}
%{_includedir}/%{name}/
%{_includedir}/libaudcore/
%{_includedir}/libaudgui/
%if %{with qt}
%{_includedir}/libaudqt/
%endif
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Feb 07 2023 daviddavid <daviddavid> 6:4.2-1.mga8
+ Revision: 1938993
- new version: 4.2 (mga#29067)

* Wed Dec 16 2020 umeabot <umeabot> 6:4.0.5-2.mga8
+ Revision: 1658136
- Rebuild for new Qt5

* Sun Jul 12 2020 daviddavid <daviddavid> 6:4.0.5-1.mga8
+ Revision: 1605474
- new version: 4.0.5

* Tue Jun 02 2020 daviddavid <daviddavid> 6:4.0.4-1.mga8
+ Revision: 1589622
- new version: 4.0.4

* Wed Apr 29 2020 daviddavid <daviddavid> 6:4.0.3-1.mga8
+ Revision: 1573252
- new version: 4.0.3

* Wed Apr 15 2020 daviddavid <daviddavid> 6:4.0.2-1.mga8
+ Revision: 1567412
- new version: 4.0.2

* Mon Apr 06 2020 daviddavid <daviddavid> 6:4.0.1-1.mga8
+ Revision: 1565244
- new version: 4.0.1

* Fri Mar 27 2020 daviddavid <daviddavid> 6:4.0-1.mga8
+ Revision: 1560973
- new version: 4.0

* Sat Feb 15 2020 umeabot <umeabot> 6:3.10.1-3.mga8
+ Revision: 1524408
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Mar 30 2019 umeabot <umeabot> 6:3.10.1-2.mga7
+ Revision: 1381271
- Qt5 Rebuild

* Thu Dec 27 2018 daviddavid <daviddavid> 6:3.10.1-1.mga7.tainted
+ Revision: 1345180
- new version: 3.10.1

* Fri Sep 21 2018 umeabot <umeabot> 6:3.10-2.mga7
+ Revision: 1295118
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 daviddavid <daviddavid> 6:3.10-1.mga7
+ Revision: 1251863
- new version: 3.10
- enable Qt5 support

* Sun Feb 18 2018 daviddavid <daviddavid> 6:3.9-1.mga7
+ Revision: 1202682
- new version: 3.9
- now libmajor is 5

* Wed Jan 25 2017 luigiwalser <luigiwalser> 6:3.8.2-1.mga6
+ Revision: 1083392
- 3.8.2

* Fri Jan 20 2017 gw666 <gw666> 6:3.8.1-2.mga6
+ Revision: 1082504
- require audacious-plugins (mga#20145)

* Sun Jan 01 2017 luigiwalser <luigiwalser> 6:3.8.1-1.mga6
+ Revision: 1078944
- 3.8.1

* Thu Dec 08 2016 eatdirt <eatdirt> 6:3.8-3.mga6
+ Revision: 1073248
+ rebuild (emptylog)

* Tue Dec 06 2016 eatdirt <eatdirt> 6:3.8-2.mga6
+ Revision: 1072820
- Add missing obsolete to libaudcore2

* Mon Dec 05 2016 wally <wally> 5:3.8-2.mga6
+ Revision: 1072681
- fix lib pkg names

* Thu Dec 01 2016 eatdirt <eatdirt> 5:3.8-1.mga6
+ Revision: 1071449
- Upgrading audacious to latest stable

* Fri Apr 22 2016 gw666 <gw666> 5:3.7.2-1.mga6
+ Revision: 1004909
- new version 3.7.2

* Sun Jan 03 2016 gw666 <gw666> 5:3.7.1-1.mga6
+ Revision: 919068
- new version 3.7.1
- remove old configure option

* Thu Sep 03 2015 cjw <cjw> 5:3.6.2-2.mga6
+ Revision: 872474
- rebuild with gcc 5

* Fri Jun 05 2015 gw666 <gw666> 5:3.6.2-1.mga6
+ Revision: 822931
- new version 3.6.2
- new version
- new major
- use gtk+2 instead of gtk+3

* Wed Nov 12 2014 cjw <cjw> 5:3.5.2-1.mga5
+ Revision: 796567
- 3.5.2

* Wed Oct 15 2014 umeabot <umeabot> 5:3.5.1-3.mga5
+ Revision: 746123
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5:3.5.1-2.mga5
+ Revision: 678036
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Aug 06 2014 gw666 <gw666> 5:3.5.1-1.mga5
+ Revision: 660130
- new version

* Fri May 30 2014 gw666 <gw666> 5:3.5-1.mga5
+ Revision: 627973
- new version
- update second library package name to allow smooth upgrades
- bump dep on libguess

* Tue Feb 04 2014 gw666 <gw666> 5:3.4.3-1.mga5
+ Revision: 580562
- new version

* Fri Dec 06 2013 gw666 <gw666> 5:3.4.2-1.mga4
+ Revision: 555520
- new bugfix release (mdv bug #11884)

* Sat Oct 19 2013 umeabot <umeabot> 5:3.4.1-2.mga4
+ Revision: 533770
- Mageia 4 Mass Rebuild

* Wed Sep 04 2013 gw666 <gw666> 5:3.4.1-1.mga4
+ Revision: 475076
- new version
- drop upstream patch

* Wed Aug 28 2013 gw666 <gw666> 5:3.4-2.mga4
+ Revision: 472588
- increase probing buffer to fix vorbis file detection

* Sat Jun 29 2013 gw666 <gw666> 5:3.4-1.mga4
+ Revision: 448385
- new version

* Tue Jun 04 2013 gw666 <gw666> 5:3.4-0.beta2.1.mga4
+ Revision: 437187
- new version

* Thu May 23 2013 gw666 <gw666> 5:3.4-0.beta1.1.mga4
+ Revision: 425405
- new prerelease

* Wed Feb 06 2013 gw666 <gw666> 5:3.3.4-1.mga3
+ Revision: 394924
- new version

* Fri Jan 11 2013 umeabot <umeabot> 5:3.3.3-2.mga3
+ Revision: 346572
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 gw666 <gw666> 5:3.3.3-1.mga3
+ Revision: 329542
- new version

* Thu Nov 29 2012 gw666 <gw666> 5:3.3.2-2.mga3
+ Revision: 323086
- update rpm group

* Sun Sep 23 2012 wally <wally> 5:3.3.2-1.mga3
+ Revision: 296916
- new version 3.3.2

* Sun Aug 12 2012 wally <wally> 5:3.3.1-1.mga3
+ Revision: 280952
- new version 3.3.1

* Sat Jul 28 2012 wally <wally> 5:3.3-1.mga3
+ Revision: 275442
- new version 3.3

* Fri Jul 20 2012 wally <wally> 5:3.3-0.beta2.1.mga3
+ Revision: 272893
- new version 3.3 beta2

* Sun Jul 08 2012 wally <wally> 5:3.3-0.beta1.1.mga3
+ Revision: 268891
- new version 3.3 beta1
- fix license to BSD

* Mon Jun 18 2012 wally <wally> 5:3.3-0.alpha1.1.mga3
+ Revision: 261799
- new version 3.3 alpha1
- drop unrecognized configure options
- clean .spec

* Thu May 31 2012 wally <wally> 5:3.2.3-1.mga3
+ Revision: 252522
- new version 3.2.3
- drop unneeded gmodule patch

* Sun Apr 15 2012 luigiwalser <luigiwalser> 5:3.2.2-1.mga2
+ Revision: 230829
- 3.2.2

* Sat Feb 18 2012 wally <wally> 5:3.2.1-1.mga2
+ Revision: 210292
- new version 3.2.1

* Mon Jan 23 2012 wally <wally> 5:3.2-1.mga2
+ Revision: 200274
- new version 3.2

* Tue Jan 10 2012 wally <wally> 5:3.2-0.beta2.1.mga2
+ Revision: 194670
- new version 3.2 beta2

* Fri Dec 30 2011 wally <wally> 5:3.2-0.beta1.1.mga2
+ Revision: 189046
- new version 3.2 beta1

* Mon Dec 26 2011 wally <wally> 5:3.2-0.alpha1.1.mga2
+ Revision: 187764
- new version 3.2 alpha1
- add buildstamp configure option
- add gmodule-2.0 patch from Fedora
- drop unused xmms patch
- clean BRs (and .spec)

* Tue Dec 06 2011 wally <wally> 5:3.1.1-1.mga2
+ Revision: 177365
- new version 3.1.1

* Thu Nov 10 2011 wally <wally> 5:3.1-1.mga2
+ Revision: 166201
- new version 3.1 final

* Sun Oct 30 2011 wally <wally> 5:3.1-0.beta3.1.mga2
+ Revision: 159953
- new version 3.1 beta3
- drop old provides
- drop old configure option

* Mon Oct 17 2011 wally <wally> 5:3.1-0.beta2.1.mga2
+ Revision: 155873
- new version 3.1 beta2

* Tue Oct 11 2011 wally <wally> 5:3.1-0.beta1.1.mga2
+ Revision: 153953
- new version 3.1 beta1

* Fri Sep 23 2011 wally <wally> 5:3.1-0.alpha1.1.mga2
+ Revision: 147079
- clean BRs
- new version 3.1 alpha1

* Tue Sep 20 2011 wally <wally> 5:3.0.3-1.mga2
+ Revision: 146029
- new version 3.0.3
- new version 3.0.2
- new version 3.0.1
- rename lib packages
- fix lib package summaries
- drop old obsoletes/provides

* Mon Jul 18 2011 wally <wally> 5:3.0-1.mga2
+ Revision: 125989
- final version 3.0

* Wed Jul 13 2011 wally <wally> 5:3.0-0.beta1.1.mga2
+ Revision: 123819
- new version 3.0 beta1

* Sun Jun 26 2011 wally <wally> 5:3.0-0.alpha1.1.mga2
+ Revision: 114072
- new version 3.0 alpha1
- clean .spec

* Tue Jun 07 2011 dmorgan <dmorgan> 5:2.5.1-1.mga2
+ Revision: 101557
- New version
  Adapt buildrequires
  Fix file list

* Fri Mar 04 2011 ennael <ennael> 5:2.4.4-1.mga1
+ Revision: 63928
- imported package audacious


* Fri Feb 25 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.4-1mdv2011.0
+ Revision: 639778
- new version

* Wed Jan 26 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.3-3
+ Revision: 632978
- rebuild

* Sun Jan 23 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.3-2
+ Revision: 632440
- rebuild

* Thu Jan 13 2011 Götz Waschk <waschk@mandriva.org> 5:2.4.3-1
+ Revision: 631007
- update to new version 2.4.3

* Wed Dec 08 2010 Götz Waschk <waschk@mandriva.org> 5:2.4.2-1mdv2011.0
+ Revision: 615993
- new version
- fix source URL

* Thu Aug 26 2010 Götz Waschk <waschk@mandriva.org> 5:2.4.0-1mdv2011.0
+ Revision: 573425
- new version

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.rc2.1mdv2011.0
+ Revision: 570284
- new release candidate

* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.rc1.1mdv2011.0
+ Revision: 569002
- new release candidate

* Thu Aug 05 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.beta2.1mdv2011.0
+ Revision: 566291
- new beta version

* Sat Jul 24 2010 Götz Waschk <waschk@mandriva.org> 5:2.4-0.beta1.1mdv2011.0
+ Revision: 558214
- new beta version
- build with libguess
- update file list

* Mon May 24 2010 Götz Waschk <waschk@mandriva.org> 5:2.3-2mdv2010.1
+ Revision: 545775
- fix broken symlinks (bug #59462)

* Thu Apr 08 2010 Götz Waschk <waschk@mandriva.org> 5:2.3-1mdv2010.1
+ Revision: 532884
- new version
- remove libSAD

* Wed Nov 25 2009 Götz Waschk <waschk@mandriva.org> 5:2.2-1mdv2010.1
+ Revision: 469945
- new version
- suggest audacious-pulse again

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 5:2.2-0.beta2.1mdv2010.1
+ Revision: 463967
- new prerelease
- don't suggest pulseaudio plugin anymore

* Sun Nov 08 2009 Götz Waschk <waschk@mandriva.org> 5:2.2-0.beta1.1mdv2010.1
+ Revision: 463253
- new version
- drop patches 0,2
- update file list

* Sun Aug 09 2009 Götz Waschk <waschk@mandriva.org> 5:2.1-2mdv2010.0
+ Revision: 412762
- remove udet support, fixes bug #52712

* Mon Jul 13 2009 Götz Waschk <waschk@mandriva.org> 5:2.1-1mdv2010.0
+ Revision: 395442
- new version

* Thu May 14 2009 Götz Waschk <waschk@mandriva.org> 5:2.0.1-1mdv2010.0
+ Revision: 375638
- new version

* Wed May 13 2009 Götz Waschk <waschk@mandriva.org> 5:2.0.0-1mdv2010.0
+ Revision: 375231
- new version

* Tue May 12 2009 Götz Waschk <waschk@mandriva.org> 5:2.0-0.beta1.1mdv2010.0
+ Revision: 374892
- new version
- new library package
- drop patch 0
- rediff patch 2
- update file list

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 5:1.5.1-4mdv2009.1
+ Revision: 332676
- fix format strings

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.1-3mdv2009.0
+ Revision: 239389
- update license

* Tue Jun 10 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.1-2mdv2009.0
+ Revision: 217430
- really disable --no-undefined
- fix bug #41360 (crash with audacious -p without files)
- disable no-undefined again
- reenable no-undefined
- spec cleanup
- comment usage of _disable_ld_no_undefined

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 25 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.1-1mdv2009.0
+ Revision: 211158
- new version
- rediff the patch
- disable --no-undefined to make it build

* Wed Apr 23 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.0-2mdv2009.0
+ Revision: 196915
- disable sse2

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 5:1.5.0-1mdv2009.0
+ Revision: 192409
- new version
- drop patch 0
- update file list

* Mon Feb 18 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.6-2mdv2008.1
+ Revision: 171206
- rebuild for new libmcs

* Fri Feb 01 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.6-1mdv2008.1
+ Revision: 161113
- new version

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 5:1.4.5-3mdv2008.1
+ Revision: 157126
- suggests audacious-pulse

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 5:1.4.5-2mdv2008.1
+ Revision: 140162
- rebuild for new libmowgli

* Sun Dec 30 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.5-1mdv2008.1
+ Revision: 139619
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.4-1mdv2008.1
+ Revision: 115819
- new version

* Mon Nov 19 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.2-1mdv2008.1
+ Revision: 110200
- new version

* Fri Nov 02 2007 Funda Wang <fwang@mandriva.org> 5:1.4.0-0.rc1.1mdv2008.1
+ Revision: 105158
- New version 1.4.0 rc1

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta4.1mdv2008.1
+ Revision: 102929
- new version
- update file list

* Sat Oct 20 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta2.1mdv2008.1
+ Revision: 100600
- new version

* Mon Oct 15 2007 Funda Wang <fwang@mandriva.org> 5:1.4.0-0.beta1.3mdv2008.1
+ Revision: 98708
- obsoletes old devel package

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta1.2mdv2008.1
+ Revision: 98476
- rebuild for new libmowgli

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 5:1.4.0-0.beta1.1mdv2008.1
+ Revision: 98434
- new version
- fix deps
- fix installation
- update file list

* Wed Oct 10 2007 Götz Waschk <waschk@mandriva.org> 4:1.4.0-0.dr4.1mdv2008.1
+ Revision: 96670
- new version
- new major
- bump deps
- drop patch 2
- fix build

* Wed Aug 08 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.2-3mdv2008.0
+ Revision: 60040
- fix backslash in file name (upstream bug#1006)

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.2-2mdv2008.0
+ Revision: 14168
- don't use bitmap fonts in the main window by default

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.2-1mdv2007.1
+ Revision: 13642
- new version
- enable character set detection in tags


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.3.1-1mdv2007.1
+ Revision: 141623
- new version
- drop legacy menu

* Sat Mar 03 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-1mdv2007.1
+ Revision: 131803
- new version
- drop merged patch
- add developer's docs

* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc2.2mdv2007.1
+ Revision: 130577
- fix keybinding (bug #28975
- revert bad checkin
- svn snapshot 4189

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc2.1mdv2007.1
+ Revision: 125892
- new version
- drop patch

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 4:1.3.0-0.rc1.1mdv2007.1
+ Revision: 125865
- new version 1.3.0rc1
- depend on mcs
- fix library installation

* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 4:1.2.2-1mdv2007.1
+ Revision: 121596
- back to stable version

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.3mdv2007.1
+ Revision: 120735
- fix error in the desktop file

* Tue Feb 13 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.2mdv2007.1
+ Revision: 120293
- fix audacious -e (bug #28685)

* Tue Feb 06 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha4.1mdv2007.1
+ Revision: 116596
- new version

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha3.1mdv2007.1
+ Revision: 113695
- new version
- rediff the patch

* Tue Jan 16 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha2.2mdv2007.1
+ Revision: 109400
- rebuild

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 3:1.3.0-0.alpha2.1mdv2007.1
+ Revision: 105443
- new version
- update the patch

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.2-1mdv2007.1
+ Revision: 86930
- new version
- add new skins

* Fri Oct 27 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.1-1mdv2007.1
+ Revision: 73025
- new version
- remove merged A-B patch and README.MDK
- new major

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 3:1.2.0-0.rc3.1mdv2006.0
+ Revision: 64486
- new version
- add new version
- new version
- add new skins
- unpack patches
- Import audacious

* Fri Sep 22 2006 Götz Waschk <waschk@mandriva.org> 1.2.0-0.rc1.1mdv2007.0
- update file list
- drop patch 3
- new version

* Sat Aug 26 2006 Götz Waschk <waschk@mandriva.org> 3:1.1.2-1mdv2007.0
- New release 1.1.2

* Mon Jul 24 2006 Götz Waschk <waschk@mandriva.org> 1.1.1-1mdv2007.0
- drop rpaths
- drop patch 4
- fix source URL
- New release 1.1.1

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-3mdv2007.0
- move fluidsynth backend to subpackage

* Thu Jul 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-2mdv2007.0
- move amidi to the right directory

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-1mdv2007.0
- add new files
- drop old provides
- new major
- new version

* Mon Jul 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.1.0-0.dr2.4mdv2007.0
- fix menu entry

* Tue Jul 04 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.3mdv2007.0
- xdg menu

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.2mdv2007.0
- fix patch 2

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr2.1mdv2007.0
- update patch 2
- new version

* Wed May 24 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr1.2mdk
- fix buildrequires

* Tue May 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.0-0.dr1.1mdk
- fix buildrequires
- new version

* Tue Apr 18 2006 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdk
- update file list
- drop patch 0
- New release 1.0.0

* Mon Apr 17 2006 Götz Waschk <waschk@mandriva.org> 0.2.4-1mdk
- patch to fix build
- New release 0.2.4

* Tue Mar 28 2006 Götz Waschk <waschk@mandriva.org> 0.2.3-1mdk
- add arts and voice removal plugins
- rediff patches 2,3
- readd disk writer
- New release 0.2.3

* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-2mdk
- don't obsolete the crossfade plugin anymore

* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- obsolete scrobbler plugin
- drop obsolete plugins
- rediff patch 2
- New release 0.2.2

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 0.2-2mdk
- add epochs
- bump deps
- 0.2 final

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.555.2mdk
- enable new ALSA MIDI plugin

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.555.1mdk
- update patch 2
- new snapshot

* Tue Jan 24 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.518.1mdk
- fix buildrequires
- new snapshot

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.514.1mdk
- new snapshot

* Wed Jan 18 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.492.1mdk
- fix buildrequires
- new snapshot

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.485.1mdk
- fix buildrequires
- new snapshot

* Mon Jan 16 2006 Götz Waschk <waschk@mandriva.org> 0.2.0-0.472.1mdk
- upate file list
- add new plugins
- drop source 1
- new snapshot

* Wed Jan 04 2006 Götz Waschk <waschk@mandriva.org> 0.1.2-5mdk
- add icon fresh from svn

* Wed Dec 28 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-4mdk
- fix buildrequires

* Tue Dec 27 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-3mdk
- drop patch 4

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-2mdk
- obsolete modplug plugin as well

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.1.2-1mdk
- fix buildrequires
- provide and obsolete the crossfade and sid plugins
- New release 0.1.2

* Thu Dec 08 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-7mdk
- add flac to the supported mime types
- fix buildrequires

* Fri Dec 02 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-5mdk
- obsolete bmp

* Thu Dec 01 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-4mdk
- buildrequires

* Thu Dec 01 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-3mdk
- fix build on x86_64

* Thu Dec 01 2005 Götz Waschk <waschk@mandriva.org> 0.1.1-2mdk
- initial package

* Wed Nov 30 2005 Götz Waschk <waschk@mandriva.org> 0.9.7.1-2mdk
- add crossfade fix

* Wed Nov 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7.1-1mdk
- new release (at least) (the last one before switching to bmpx)

* Mon Aug 29 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050828cvs1mdk
- New CVS snapshot
- Temporarily drop the ipv6 patch (p3)

* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.7.1-0.20050815cvs3mdk
- rebuild with new gtk+
- add buildrequires

* Wed Aug 17 2005 Michael Scherer <misc@mandriva.org> 2:0.9.7.1-0.20050815cvs2mdk
- enhance and rename patch3, now with mp3 support ( with pterjan fix inside )

* Tue Aug 16 2005 Michael Scherer <misc@mandriva.org> 2:0.9.7.1-0.20050815cvs1mdk
- new cvs snapshot ( Eskild Hustvedt )
- ipv6 for vorbis ( patch 3 )

* Thu Aug 11 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050810cvs1mdk
- New CVS snapshot

* Sat Jul 09 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050708cvs1mdk
- New CVS snapshot

* Mon Jun 20 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050619cvs-1mdk
- New CVS snapshot
	- Should fix the playlist refresh bug

* Tue Jun 14 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050613cvs-1mdk
- New CVS snapshot
	- The old skin (non-free skin) has been removed (if you somehow liked that thing
	  you can download it from bmp's website)

* Sat May 28 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050527cvs-1mdk
- Drop SOURCE99 (README.MDK - now generated in spec)
- New CVS snapshot
- Spec cleanups
- Drop COPYING from %%doc, it is in the common-licenses package
- Remove gnome-vfs from requires

* Sun Apr 17 2005 Eskild Hustvedt <eskild@mandriva.org> 0.9.7.1-0.20050416cvs-1mdk
- New CVS snapshot
- Updated patch1
- Drop patch3 (merged upstream)

* Mon Mar 07 2005 Eskild Hustvedt <eskild@mandrake.org> 0.9.7-6mdk
- Disable gnome-vfs support (broken)

* Mon Jan 24 2005 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-5mdk
- fix devel deps

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-4mdk
- patch 3: alsa fixes

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-3mdk 
- Rebuild with latest howl

* Wed Dec 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-2mdk
- drop broken patch 3

* Tue Dec 14 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-1mdk
- rediff patch 2
- new version

* Fri Nov 19 2004 Danny Tholen <obiwan@mailmij.org> 0.9.7-0.rc2.2mdk
- patch 3 fixes broken endian check

* Wed Aug 25 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc2.1mdk
- new version

* Tue Aug 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.rc1.1mdk
- increase epoch
- rediff patch 2
- new version

* Sat Jul 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040708.1mdk
- fix file list
- new snapshot

* Thu May 27 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040621.1mdk
- new cvs snapshot 20040621

* Thu May 27 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040604.1mdk
- updated to cvs snapshot 20040604
- fixed source url
- autoconf stuff
- rebuild with new gcc

* Thu May 27 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040528.1mdk
- updated to cvs snapshot 20040528

* Fri May 21 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040520.1mdk
- updated to cvs snapshot 20040520
- removed patch 3, integrated upstream
- xmms-skin patch: use xmms dirs last, so beep skins override xmms skins

* Tue May 11 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.4mdk
- Patch3: add General plugins preferences tab (will be merged in CVS soon)

* Tue May 11 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.3mdk
- scan home dir as well for xmms skins (modified patch1)

* Tue May 11 2004 Olivier Blin <blino@mandrake.org> 0.9.7-0.20040504.2mdk
- cp rcfile.h in include dir since it isn't automatically installed
- own include and data dirs
- add Epoch in Requires/Provides

* Thu May 06 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040504.1mdk
- new cvs snapshot

* Wed Apr 28 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040427.2mdk
- enable gnome-vfs support

* Wed Apr 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.7-0.20040427.1mdk
- new cvs snapshot
- rediff patch 2

* Sat Apr 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.7-0.20040410.2mdk
- fix buildrequires

* Mon Apr 12 2004 Michael Reinsch <mr@uue.org> 0.9.7-0.20040410.1mdk
- new cvs snapshot
- removed old obsoletes (package beepmp was only in cooker)
- added AB patch from xmms
- added missing docs
- separate package for esound plugin (no separate packages for OSS and ALSA
  because OSS does not need any special stuff and ALSA is standard now)

